Subject: bug#39154: 27.0.60; Use character history in zap-up-to-char

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Jan 2020 02:24:30 +0200

>> BTW, why we added only isearch-yank-until-char corresponding to zap-to-char,
>> but not an isearch command corresponding to zap-up-to-char?
> I wasn't aware about that function; I like it! It saves typing.
>
> After playing with it, I see that above function corresponds to
> `zap-up-to-char' (i.e., it doesn't add CHAR to the search string).

Indeed.

> The following changes might be worth:
> - A rename, or an alias, of above function to `isearch-yank-up-to-char'

Better to leave alone the name of the existing command since
"up-to-char" and "until-char" are synonyms.

> - Add similar funtion `iseach-yank-to-char' (i.e. one that inserts CHAR
>   in the seach string).

Yes, this is a good name consistent with zap-to-char.